/*setTimeout(function(){ 
    $(".box-video-home").attr("controls","");
}, 500);*/


$("body").on('click', '.actFavoritos.btn_curtir', function(e){
    
    actFavoritos = $(this);
    id_imovel = $(this).data("id");
    
    data = {
        id_imovel : id_imovel
    };
    
    $.ajax(
    {
        url: base_url+"comdono/ajax/cad_ajax/curtir_ajax",
        dataType: 'json',
        type: 'POST',
        cache: false,
        data: data,
        success: function(success) {
            if(success.valid === true)
            {   
                actFavoritos.removeClass('color_grey');
                actFavoritos.removeClass('btn_curtir');
                actFavoritos.addClass('color_red');
                actFavoritos.addClass('btn_descurtir');
                actFavoritos.attr("title", "Remover dos favoritos");
                
                $(".core_"+id_imovel).removeClass('color_grey');
                $(".core_"+id_imovel).removeClass('btn_curtir');
                $(".core_"+id_imovel).addClass('color_red');
                $(".core_"+id_imovel).addClass('btn_descurtir');
                $(".core_"+id_imovel).attr("title", "Remover dos favoritos");
                
                
                /*$(".nav-link.dropdown-toggle").trigger("click");
                $(".dropdown-item-favoritos").addClass("active");*/
                $(".effect-favoritos").addClass("effect-hover");
                setTimeout(function(){ 
                    $(".effect-favoritos").removeClass("effect-hover");
                }, 500);
                
                //notifySuccess("Adicionado aos favoritos!");
                
            }
        },
        error: function(error) {
            
        }
    });
});

$("body").on('click', '.actFavoritos.btn_descurtir', function(e)
{
    var actFavoritos = $(this);
    id_imovel = $(this).data("id");
    
    data = {
        id_imovel : id_imovel
    };
    
    $.ajax(
    {
        url: base_url+"comdono/ajax/cad_ajax/descurtir_ajax",
        dataType: 'json',
        type: 'POST',
        cache: false,
        data: data,
        success: function(success) {
            if(success.valid === true)
            {   
                actFavoritos.addClass('color_grey');
                actFavoritos.addClass('btn_curtir');
                actFavoritos.removeClass('color_red');
                actFavoritos.removeClass('btn_descurtir');
                actFavoritos.attr("title", "Adicionar como favorito");
                
                $(".core_"+id_imovel).addClass('color_grey');
                $(".core_"+id_imovel).addClass('btn_curtir');
                $(".core_"+id_imovel).removeClass('color_red');
                $(".core_"+id_imovel).removeClass('btn_descurtir');
                $(".core_"+id_imovel).attr("title", "Adicionar como favorito");
            }
        },
        error: function(error) {

        }
    });
});

/*function set_click(btn)
{
    var data = {
        id_item: id_item,
        tipo_item: tipo_item,
        buttom: btn
    };
    var target = base_url + 'qiclub/CI_Qiclub/set_click_ajax';
    set_ajax(data,target)
}

function set_visualizacao()
{
    var data = {
        id_item: id_item,
        tipo_item: tipo_item
    };
    var target = base_url + 'qiclub/CI_Qiclub/set_visualizacao_ajax';
    set_ajax(data,target)
}
*/